#!/bin/sh
# Global Environment Variable
echo $EUMET_HOME
echo $EUMET_IN
#
# EUMET_HOME=$HOME/EUMET_RH6
# EUMET_IN=/cpc/rzdm/www/cpc/htdocs/products/international
#
# Locally defined Variables
#
EUMET_IP=oids.eumetsat.int
USER=wmora1
PASSWORD=14r0mw
EUMET_FTPDIR=out/groups/wmo-ra1-ncep
#
cd $EUMET_HOME/work
dt=`date --date "1 day ago" "+%Y%m%d"`
echo ${dt}
#
rm -rf ncep_forecast
mkdir -p ncep_forecast
cd ncep_forecast
#
mkdir -p ncep_forecast_${dt}_africa
mkdir -p ncep_forecast_${dt}_eafrica
mkdir -p ncep_forecast_${dt}_wafrica
mkdir -p ncep_forecast_${dt}_nafrica
mkdir -p ncep_forecast_${dt}_safrica
mkdir -p ncep_forecast_${dt}_skewt
mkdir -p ncep_forecast_${dt}_gfs_meteograms
mkdir -p ncep_forecast_${dt}_gefs_meteograms
#----------------------------------------
# EUMET_IN: /cpc/rzdm/www/cpc/htdocs/products/international
cp $EUMET_IN/cpci/data/18/*eafrica*  ncep_forecast_${dt}_eafrica/ 
cp $EUMET_IN/cpci/data/18/*wafrica*  ncep_forecast_${dt}_wafrica/ 
cp $EUMET_IN/cpci/data/18/*nafrica*  ncep_forecast_${dt}_nafrica/ 
cp $EUMET_IN/cpci/data/18/*safrica*  ncep_forecast_${dt}_safrica/ 
cp $EUMET_IN/cpci/data/18/*.africa*  ncep_forecast_${dt}_africa/ 
cp $EUMET_IN/cpci/data/18/*_africa*  ncep_forecast_${dt}_africa/ 
cp $EUMET_IN/gfs_skewt/18/*          ncep_forecast_${dt}_skewt/ 
cp $EUMET_IN/gfs_meteograms/18/*     ncep_forecast_${dt}_gfs_meteograms/ 
cp $EUMET_IN/gefs_meteograms/18/*    ncep_forecast_${dt}_gefs_meteograms/ 
#----------------------------------------
#
echo got here
rm ncep_forecast_${dt}_gfs_meteograms/gfs_meteogram_body.html
rm ncep_forecast_${dt}_gefs_meteograms/gefs_meteogram_body.html
echo got here
#
cp $EUMET_HOME/scripts/src/gfs_meteogram_body.html ncep_forecast_${dt}_gfs_meteograms/.
cp $EUMET_HOME/scripts/src/gefs_meteogram_body.html ncep_forecast_${dt}_gefs_meteograms/.
cp $EUMET_HOME/scripts/src/fcsts_africa_body.html ncep_forecast_${dt}_africa/.
cp $EUMET_HOME/scripts/src/fcsts_eafrica_body.html ncep_forecast_${dt}_eafrica/.
cp $EUMET_HOME/scripts/src/fcsts_wafrica_body.html ncep_forecast_${dt}_wafrica/.
cp $EUMET_HOME/scripts/src/fcsts_nafrica_body.html ncep_forecast_${dt}_nafrica/.
cp $EUMET_HOME/scripts/src/fcsts_safrica_body.html ncep_forecast_${dt}_safrica/.
#
for region in africa eafrica wafrica safrica nafrica ; do
  rm -rf ncep_forecast_${dt}
  mkdir ncep_forecast_${dt}
  mv ncep_forecast_${dt}_$region  ncep_forecast_${dt}/ncep_forecast_${dt}_$region
  tar cf ncep_forecast_${dt}_${region}.tar ncep_forecast_${dt}
done
#
for item in skewt gfs_meteograms gefs_meteograms ; do
  rm -rf ncep_forecast_${dt}
  mkdir ncep_forecast_${dt}
  mv ncep_forecast_${dt}_$item  ncep_forecast_${dt}/ncep_forecast_${dt}_$item
  tar cf ncep_forecast_${dt}_${item}.tar ncep_forecast_${dt}
done
#
#  rm -rf ncep_forecast_${dt}
#  mkdir ncep_forecast_${dt}
#  mv ncep_forecast_${dt}_$item  ncep_forecast_${dt}/ncep_forecast_${dt}_$item
#  tar cf ncep_forecast_${dt}_${item}.tar ncep_forecast_${dt}
#
cp $EUMET_HOME/scripts/src/ncep_forecast_YYYYMMDD_africa.html ncep_forecast_${dt}_africa.html
perl -pi -e "s/YYYYMMDD/${dt}/g" ncep_forecast_${dt}_africa.html
  rm -rf ncep_forecast_${dt}
  mkdir ncep_forecast_${dt}
  mv ncep_forecast_${dt}_africa.html  ncep_forecast_${dt}/ncep_forecast_${dt}_africa.html
  tar cf ncep_forecast_${dt}_africa.html.tar ncep_forecast_${dt}
#
cp $EUMET_HOME/scripts/src/noaalogo.png .
  rm -rf ncep_forecast_${dt}
  mkdir ncep_forecast_${dt}
  mv noaalogo.png  ncep_forecast_${dt}/noaalogo.png
  tar cf ncep_forecast_${dt}_noaalogo.png.tar ncep_forecast_${dt}
#---------------------------------
cd ../
mv ncep_forecast ncep_forecast_${dt}
# exit
#
#
#  ./xftp_script.ksh
#
# EUMET_IP: oids.eumetsat.int
# EUMET_FTPDIR: out/groups/wmo-ra1-ncep
# HOST=193.17.10.88
#
cd $EUMET_HOME/work/ncep_forecast_$dt
# 
ftp -inv $EUMET_IP <<EOF
user $USER $PASSWORD
cd $EUMET_FTPDIR
bin
pass
put ncep_forecast_${dt}  ncep_forecast_${dt}.tmp
rename ncep_forecast_${dt}.tmp ncep_forecast_${dt}
put ncep_forecast_${dt}_africa.html.tar ncep_forecast_${dt}_africa.html.tar.tmp
rename ncep_forecast_${dt}_africa.html.tar.tmp ncep_forecast_${dt}_africa.html.tar
put ncep_forecast_${dt}_africa.tar  ncep_forecast_${dt}_africa.tar.tmp
rename ncep_forecast_${dt}_africa.tar.tmp ncep_forecast_${dt}_africa.tar
put ncep_forecast_${dt}_eafrica.tar  ncep_forecast_${dt}_eafrica.tar.tmp
rename ncep_forecast_${dt}_eafrica.tar.tmp ncep_forecast_${dt}_eafrica.tar
put ncep_forecast_${dt}_gfs_meteograms.tar  ncep_forecast_${dt}_gfs_meteograms.tar.tmp
rename ncep_forecast_${dt}_gfs_meteograms.tar.tmp ncep_forecast_${dt}_gfs_meteograms.tar
put ncep_forecast_${dt}_nafrica.tar  ncep_forecast_${dt}_nafrica.tar.tmp
rename ncep_forecast_${dt}_nafrica.tar.tmp ncep_forecast_${dt}_nafrica.tar
put ncep_forecast_${dt}_safrica.tar  ncep_forecast_${dt}_safrica.tar.tmp
rename ncep_forecast_${dt}_safrica.tar.tmp ncep_forecast_${dt}_safrica.tar
put ncep_forecast_${dt}_skewt.tar  ncep_forecast_${dt}_skewt.tar.tmp
rename ncep_forecast_${dt}_skewt.tar.tmp ncep_forecast_${dt}_skewt.tar
put ncep_forecast_${dt}_wafrica.tar  ncep_forecast_${dt}_wafrica.tar.tmp
rename ncep_forecast_${dt}_wafrica.tar.tmp ncep_forecast_${dt}_wafrica.tar
put ncep_forecast_${dt}_noaalogo.png.tar  ncep_forecast_${dt}_noaalogo.png.tar.tmp
rename ncep_forecast_${dt}_noaalogo.png.tar.tmp ncep_forecast_${dt}_noaalogo.png.tar
dir
exit
EOF
echo '     finished ftp'
